Bug 442484 - /dev/shm missing in mock roots
/dev/shm missing in mock roots
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-14 22:36 EDT by Deji Akingunola
Modified: 2013-01-09 20:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-09 20:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-04-14 22:36:27 EDT
Description of problem: I am opening this bug to track the issue pointed out @
https://www.redhat.com/archives/fedora-devel-list/2008-April/msg01021.html .
Indeed, this is a regression; the earlier version of the mpich2 package that
failed to build because of this issue (and contains the same check that relies
on the presence of /dev/shm), built successfully in koji last november

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Michael E Brown 2008-04-14 23:15:40 EDT
This is fixed in 0.9.8 for builds (mock --rebuild ...). Builds with 0.9.8
(currently in rawhide) should work ok. 

Clark is working on a patch to fix this for mock --shell.

Version 0.9.8 should be released to F7/F8 my May.
Comment 2 Bug Zapper 2008-05-14 05:27:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Bug Zapper 2009-06-09 20:11:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.